RetroPlayer Test Builds (updated for Leia)

  Thread Rating:
  • 16 Vote(s) - 4.56 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
cmiller1 Offline
Junior Member
Posts: 21
Joined: Dec 2015
Reputation: 0
Post: #1486
I have some instabilities where certain roms combined with certain cores cause Kodi to crash entirely, I guess the wonderful tight integration causes us to lose some memory isolation of the processes. We're based off of alpha 1 of Leia here so I'm hoping it's just alpha bugs not related to the retro player stuff, so I'm not too worried at this point. If it becomes a problem I'll investigate more and post debug logs.
(This post was last modified: 2017-04-21 04:12 by cmiller1.)
find quote
lrusak Offline
Team-Kodi Member
Posts: 924
Joined: Sep 2011
Reputation: 14
Location: The Great White North
Post: #1487
(2017-04-21 04:11)cmiller1 Wrote:  I have some instabilities where certain roms combined with certain cores cause Kodi to crash entirely, I guess the wonderful tight integration causes us to lose some memory isolation of the processes. We're based off of alpha 1 of Leia here so I'm hoping it's just alpha bugs not related to the retro player stuff, so I'm not too worried at this point. If it becomes a problem I'll investigate more and post debug logs.


What platform are you running on?

Posting debug logs and crash logs is always welcome.

"PPC is too slow, your CPU has no balls to handle HD content." ~ Davilla
"Maybe it's a toaster. Who knows, but it has nothing to do with us." ~ Ned Scott
find quote
cmiller1 Offline
Junior Member
Posts: 21
Joined: Dec 2015
Reputation: 0
Post: #1488
OS X. And I'll post a log if it happens again, I have thousands of roms and only a tiny tiny number of them had any issues, so if I can remember one that caused it I'll get more info for you guys.
find quote
lefty420 Offline
Senior Member
Posts: 232
Joined: Jul 2009
Reputation: 5
Location: Nerdsville
Post: #1489
Is there a way to install the game cores using leia 18.1 on ubuntu 16.04 I have the Game menu via the konami code but not cores. I tried to build myself from some forum posts but I'm not getting anywhere. Any help would be appreciated.
find quote
MrTarantula Offline
Member
Posts: 64
Joined: Jan 2016
Reputation: 3
Post: #1490
(2017-04-28 12:53)lefty420 Wrote:  Is there a way to install the game cores using leia 18.1 on ubuntu 16.04 I have the Game menu via the konami code but not cores. I tried to build myself from some forum posts but I'm not getting anywhere. Any help would be appreciated.

If you're on x64, you can take the cores from my builds in the Linux Testing thread. After extracting the zip file, take all the game.* files from share/kodi/addons and place them in your share/kodi/addons folder. Alternatively, you can just use my build as directed in the thread.
(This post was last modified: 2017-04-28 15:22 by MrTarantula.)
find quote
lefty420 Offline
Senior Member
Posts: 232
Joined: Jul 2009
Reputation: 5
Location: Nerdsville
Post: #1491
Thanks MrTarantula That worked a treat Smile
find quote
bite_your_idols Offline
Member
Posts: 70
Joined: Mar 2016
Reputation: 4
Post: #1492
I installed latest millhouse build in my pi2, activated game section with konami code and downloaded some cores/emulators (nes, snes and mame2003). But when I try to run my roms, I select the emulator and an error appear: "Addon couldn't be loaded. Can't load shared library."

Here is my log: https://pastebin.com/86T8QHD7

any idea about what am I doing wrong?
find quote
MrTarantula Offline
Member
Posts: 64
Joined: Jan 2016
Reputation: 3
Post: #1493
(2017-05-03 19:57)bite_your_idols Wrote:  I installed latest millhouse build in my pi2, activated game section with konami code and downloaded some cores/emulators (nes, snes and mame2003). But when I try to run my roms, I select the emulator and an error appear: "Addon couldn't be loaded. Can't load shared library."

Here is my log: https://pastebin.com/86T8QHD7

any idea about what am I doing wrong?

Can you try an earlier Milhouse build, before April 29? There's some instability around addons in Leia at the moment. This is to be expected in alpha software. Also, where did the cores come from? Did you compile them? Or do they come with Milhouse builds?
find quote
bite_your_idols Offline
Member
Posts: 70
Joined: Mar 2016
Reputation: 4
Post: #1494
OK, thanks. I tried the build from April 28 and it works. I am going to try Retroplayer a bit.
By the way, I downloaded cores using kodi emulator addon section.
find quote
lefty420 Offline
Senior Member
Posts: 232
Joined: Jul 2009
Reputation: 5
Location: Nerdsville
Post: #1495
Had the same error as bite_your_idol on ubuntu 64 after updating to the latest 18 nightly. Like MrTatantula said There some instability around addons in Leia at the moment. Pvr and joystick suffered the same affliction but fixes have been pushed to the ppa. Joys of an alpha build Wink I'm not sure if building the new addons will fix the issue atm I'm still learning.
find quote
robweber Offline
Posting Freak
Posts: 1,137
Joined: Sep 2009
Reputation: 38
Post: #1496
(2017-05-03 20:53)MrTarantula Wrote:  
(2017-05-03 19:57)bite_your_idols Wrote:  I installed latest millhouse build in my pi2, activated game section with konami code and downloaded some cores/emulators (nes, snes and mame2003). But when I try to run my roms, I select the emulator and an error appear: "Addon couldn't be loaded. Can't load shared library."

Here is my log: https://pastebin.com/86T8QHD7

any idea about what am I doing wrong?

Can you try an earlier Milhouse build, before April 29? There's some instability around addons in Leia at the moment. This is to be expected in alpha software. Also, where did the cores come from? Did you compile them? Or do they come with Milhouse builds?

I don't have any logs since I'm at work but can confirm the same behavior. Prior to April 29 build it was working. I'm getting the same "can't load shared library message". The cores and the shared libretro lib addon come from a repo included with the build. I thought to check the log yesterday and saw a message when trying to load the .so library "/storage/.kodi/addons/game.libretro/game.libretro.so.1.0.1: undefined symbol: ADDON_GetTypeVersion" I had cut/pasted that into notepad to try and search out later, no luck though.
find quote
Milhouse Offline
Team-Kodi Member
Posts: 12,456
Joined: Jan 2011
Reputation: 606
Post: #1497
I guess all the addons will need to be rebuilt. In the case of libretro etc. that's not likely to happen until LE master is updated with latest Kodi, which should happen in a few days and then the add-ons can be built following that, so most likely another week or two. Stick to the last working test build during this bumpy ride. Sad

Texture Cache Maintenance Utility: Preload your texture cache for optimal UI performance. Remotely manage media libraries. Purge unused artwork to free up space. Find missing media. Configurable QA check to highlight metadata issues. Aid in diagnosis of library and cache related problems.
(This post was last modified: 2017-05-06 02:05 by Milhouse.)
find quote
kjb85 Offline
Member
Posts: 63
Joined: Jan 2017
Reputation: 7
Post: #1498
I'm having problems gettings controllers to work.

I have tried several different controllers, ps3 over bluetooth, n64, even a keyboard and no games will recognise any input from these.

All roms load with no problems and my keymaps are fine. Have fine tuned them with debugs just to make sure.

Using Milhouse build #419 at the moment but the problem exists even when compiling from Libreelecs master.

Is this a known problem?
find quote
linkinsoldier Offline
Member
Posts: 56
Joined: Jan 2017
Reputation: 0
Post: #1499
I have also found that some games are not working for me and created a bug ticket some time ago:

https://github.com/kodi-game/game.libret...2/issues/3

I would propose to try a different game
(This post was last modified: 2017-05-07 15:50 by linkinsoldier.)
find quote
kjb85 Offline
Member
Posts: 63
Joined: Jan 2017
Reputation: 7
Post: #1500
I've tried many, different games, different emulators, different platforms.

On some games I can get maybe one or two buttons to work, but not all.
find quote
Post Reply